@use "colors";

@use "sass:math";

@mixin social-link-container-big {
    width: 280px;

    a {
        $size: 32px;
        width: math.div($size * 3, 2);
        height: math.div($size * 3, 2);

        svg {
            width: $size;
            height: $size;
        }
    }
}

@mixin social-link-container-inverted-colors {

    a {
        $offset: 3px;
        $offset-hover: 2px;
        $offset-move: $offset - $offset-hover;

        background-color: colors.$content-black;
        border: 1px solid colors.$content-white;
        color: colors.$content-white;
        box-shadow: -$offset $offset 0 -1px colors.$content-black, -$offset $offset colors.$content-white;

        &:hover {
            transform: translate(-$offset-move, $offset-move);
            box-shadow: -$offset-hover $offset-hover 0 -1px colors.$content-black, -$offset-hover $offset-hover colors.$content-white;
        }

        &:active {
            transform: translate(-$offset, $offset);
            box-shadow: none;
        }

        svg {
            color: colors.$content-white;
        }

    }
}

@mixin social-link-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 160px;

    &.big {
        @include social-link-container-big;
    }

    &.inverted-colors {
        @include social-link-container-inverted-colors;
    }

    a {
        $size: 18px;
        width: math.div($size * 3, 2);
        height: math.div($size * 3, 2);
        background-color: colors.$content-background;
        color: colors.$content-black;
        margin-left: 5px;

        border-radius: 50%;
        border: 1px solid colors.$content-black;

        display: flex;
        justify-content: center;
        align-items: center;

        $offset: 3px;
        $offset-hover: 2px;
        $offset-move: $offset - $offset-hover;
        box-shadow: -$offset $offset 0 -1px colors.$content-white, -$offset $offset colors.$content-black;

        transition: transform 100ms ease-out, box-shadow 100ms ease-out;

        &:hover {
            transform: translate(-$offset-move, $offset-move);
            box-shadow: -$offset-hover $offset-hover 0 -1px colors.$content-white, -$offset-hover $offset-hover colors.$content-black;
        }

        &:active {
            transform: translate(-$offset, $offset);
            box-shadow: none;
        }

        svg {
            width: $size;
            height: $size;
            color: colors.$content-black;
        }
    }


}

.social-link-container {
    @include social-link-container;
}